package com.xkrs.model.qo;

public class EmailEventQo {

    /**
     * 事件类型，详情请参见 事件类型
     */
    private String event;

    /**
     * 收件人地址
     */
    private String email;

    /**
     * 用户点击的邮件中的链接 URL，仅在 event="click"时生效
     */
    private String link;

    /**
     * SendEmail 接囗返回的 MessageId
     */
    private String bulkId;

    /**
     * 事件产生的时间戳
     */
    private Long timestamp;

    /**
     * 邮件递送失败的原因
     */
    private String reason;

    /**
     * 如果收件人邮件服务商拒信，拒信类型，取值:soft bouncelhard bounce，仅在 event="bounce”的时候生效
     */
    private String bounceType;

    /**
     * 腾讯云账号对应的 AppID
     */
    private String username;

    /**
     * 发信地址(不带发件人别名)
     */
    private String from;

    /**
     * 发信域名
     */
    private String fromDomain;

    /**
     * 模板 ID
     */
    private Long templateId;

    /**
     * 用户代理提供有关用于访问邮件的设备、操作系统和浏览器的信息，仅对 Open 和 Click 事件生效
     */
    private String useragent;

    /**
     * 邮件主题
     */
    private String subject;

    /**
     * smtp 协议头中的 Message-ID，用户在使用 smtp 或 API发送时可以传自己定义的邮件唯一标识符，注意这个一定
     * 要能够唯一标识一封邮件目符合 RFC5322标准
     */
    private String messageId;

    /**
     * 事件ID
     * 1:delivered      递送成功，收件人邮件服务商已接收此邮件
     * 2:dropped        因为某种原因，这封邮件不能送达，被丢弃
     * 3:bounce         收件人邮件服务商拒收此邮件(一般是因为邮箱地址错误)
     * 4.open           收件人打开了此邮件
     * 5:click          收件人点击了此邮件中的链接
     * 6:spamreport     收件人举报了此邮件
     * 7:unsubscribe    收件人点击了业务方的“退订”按钮，需要业务方在退订链接中包含"unsubscribe"关键词
     * 8:deferred       邮件被收件人邮件服务商延迟传递，正在重试中
     */
    private String eventId;

    public EmailEventQo() {
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getBulkId() {
        return bulkId;
    }

    public void setBulkId(String bulkId) {
        this.bulkId = bulkId;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getBounceType() {
        return bounceType;
    }

    public void setBounceType(String bounceType) {
        this.bounceType = bounceType;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getFromDomain() {
        return fromDomain;
    }

    public void setFromDomain(String fromDomain) {
        this.fromDomain = fromDomain;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public String getUseragent() {
        return useragent;
    }

    public void setUseragent(String useragent) {
        this.useragent = useragent;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getMessageId() {
        return messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

}
